document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // iPad interaction simulation
  const ipadScreen = document.querySelector('.ipad-screen');
  let startX, startY;

  ipadScreen.addEventListener('touchstart', (e) => {
    startX = e.touches[0].clientX;
    startY = e.touches[0].clientY;
  });

  ipadScreen.addEventListener('touchmove', (e) => {
    if (!startX || !startY) return;

    const x = e.touches[0].clientX;
    const y = e.touches[0].clientY;

    const deltaX = x - startX;
    const deltaY = y - startY;

    ipadScreen.style.transform = `scale(${1 + Math.abs(deltaY) * 0.001})`;
  });

  ipadScreen.addEventListener('touchend', () => {
    startX = null;
    startY = null;
    ipadScreen.style.transform = '';
  });

  // Dynamic content loading
  const demoContent = document.querySelector('.demo-content');
  const apps = ['Notes', 'Photos', 'Safari', 'Messages'];
  let currentApp = 0;

  setInterval(() => {
    demoContent.textContent = `${apps[currentApp]} App`;
    currentApp = (currentApp + 1) % apps.length;
  }, 2000);
});